:root {
  --filter-border: 1px solid;
  --filter-time: 0.4s;
  --filter-color-1: var(--blue);
  --filter-color-2: var(--blue-l);
  --filter-color-3: var(--white);

  --filter-color-4: rgba(0, 0, 0, 0.15);
}
.element-card {
  display: none;
}
.jade-top-bar *,
.jade-filter-sidebar * {
  margin: 0px;
  padding: 0px;
  height: unset;
  width: unset;
  border: none;
  border-color: inherit;
  background: unset;
  color: inherit;
  box-sizing: border-box;
}
.jade-filter-sidebar {
  overflow: hidden;
  padding: 20px;
}

.jade-search-row {
  display: flex;
  align-items: stretch;
  justify-content: space-between;
  border-radius: 10px;
  overflow: hidden;
  margin-bottom: 20px;
  border: var(--filter-border);
  border-color: var(--filter-color-4);
  transition: var(--filter-time);
}
.jade-search-row:hover {
  border: var(--filter-border);
  border-color: var(--filter-color-1);
}
.jade-top-bar button,
.jade-filter-sidebar button {
  padding: 10px 15px;
  transition: var(--filter-time);

  background-color: var(--filter-color-2);
  color: var(--filter-color-1);
  flex: 1;
}
.jade-top-bar button:hover,
.jade-filter-sidebar button:hover {
  background-color: var(--filter-color-1);
  color: var(--filter-color-2);
  cursor: pointer;
}
.jade-filter-sidebar fieldset.last {
  margin-bottom: 0px;
}
.jade-filter-sidebar fieldset label {
  display: inline-block;
  transition: var(--filter-time);
  margin-bottom: 4px;
}
.jade-filter-sidebar fieldset label:hover {
  color: var(--filter-color-1);
  cursor: pointer;
}
.jade-top-bar select,
.jade-filter-sidebar select {
  display: block;
  width: 100%;
  padding: 10px;
  background-color: transparent;
  border-radius: 10px;
  border: var(--filter-border);
  border-color: var(--filter-color-4);
  transition: var(--filter-time);
}
.jade-top-bar select:hover,
.jade-filter-sidebar select:hover {
  cursor: pointer;
  border-color: var(--filter-color-1);
}
.jade-top-bar input,
.jade-filter-sidebar input {
  padding: 10px;
  background-color: transparent;
  transition: var(--filter-time);
  font-size: 16px;
  width: 100%;
}
.jade-top-bar input:hover,
.jade-top-bar input:active,
.jade-filter-sidebar input:hover,
.jade-filter-sidebar input:active {
  background-color: transparent;
}
.jade-filter-sidebar h5 {
  color: var(--filter-color-2);
  margin-bottom: 10px;
  line-height: 20px !important;
  text-transform: unset;
  font-family: degular-mono, sans-serif;
}
.jade-top-bar *::placeholder {
  color: var(--filter-color-2);
}
.jade-top-bar *::-webkit-input-placeholder {
  color: var(--filter-color-2);
}
.jade-top-bar *:-ms-input-placeholder {
  color: var(--filter-color-2);
}
.jade-top-bar *::placeholder {
  color: var(--filter-color-2);
}
.jade-filter-sidebar *::placeholder {
  color: var(--filter-color-2);
}
.jade-filter-sidebar *::-webkit-input-placeholder {
  color: var(--filter-color-2);
}
.jade-filter-sidebar *:-ms-input-placeholder {
  color: var(--filter-color-2);
}
.jade-filter-sidebar *::placeholder {
  color: var(--filter-color-2);
}
.jade-filter-sidebar hr {
  height: 1px;
  background-color: var(--filter-color-4);
  margin: 25px 0px;
  opacity: 0.6;
}
.jade-filter-sidebar .hidden-label {
  display: none;
}
.jade-radiobutton {
  width: 20px !important;
}
.jade-status-msg {
  padding: 10px;
  background-color: var(--filter-color-4);
  border-radius: 10px;
  margin: 0px 0px 15px 0px !important;
}

.jade-radiobutton {
  display: none !important;
}
.jade-radio-item span {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 6px 10px;
  border-radius: 6px;
  transition: var(--filter-time);
  background-color: var(--filter-color-2);
  color: var(--filter-color-1);
  cursor: pointer;
}
.jade-radio-item i::before {
  font-size: 13px;
}
.jade-radiobutton:checked + span {
  background-color: var(--filter-color-1);
  color: var(--filter-color-3);
}
.jade-radio-item span:hover {
  background-color: var(--filter-color-1);
  color: var(--filter-color-2);
  transform: scale(0.96);
}

.jade-top-bar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.jade-top-bar select,
.jade-top-bar input {
  max-width: 200px;
  background-color: white;
}
.jade-top-bar select:hover,
.jade-top-bar input:hover {
  background-color: white;
}

.jade-top-bar .button {
  border-radius: 10px;
  margin-right: 6px;
  line-height: 1px;
  padding: 12px 15px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.jade-top-bar .button i {
  border-radius: 10px;
  margin-right: 5px;
}
.jade-bar-row {
  display: flex;
  align-items: center;
  justify-content: start;
}

.jade-top-bar .jade-search-row {
  margin: 0px;
}
